#ifndef __CGAME__
#define __CGAME__

#include <glad/glad.h>
#include "shader_s.h"

class CGame
{
public:
    CGame() {};

    void Initialize();
    void Shutdown();
    void Render();

    void OnResize(int width, int height);

private:
    void SetupVAO();
    void SetupGPUProgram();

    unsigned int m_VBO;
    unsigned int m_VAO;
    Shader* m_pShader;
};

#endif